package kr.gmtc.gw.dev.restdev.config;

import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.Queue;
import java.util.concurrent.LinkedBlockingQueue;

import javax.annotation.PostConstruct;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import kr.gmtc.gw.dev.asderecv.asde.rest.vo.ServiceAsdeData;

//@Configuration("restConfig")
public class RestConfig {

    @Value("${root}")
	private String root;

    @Value("${request.url.recvTest}")
	private String testReqTestUrl = "http://localhost:18080/test";


    @PostConstruct
	private void initialize() {

    }

    @Bean(name = "serviceRunnig")
	public boolean serviceRunnig(){
		return false;
	}

    @Bean(name = "packetQ")
	public Queue<String> packetQ(){
		return new LinkedBlockingQueue<String>();
	}

    
	
	@Bean(name = "sendQueue")
	public HashMap<Integer, Queue<ServiceAsdeData>> sendQueue(){
		return new LinkedHashMap<Integer, Queue<ServiceAsdeData>>();
	}
	
	



    
}
